export default class IOController {
    #io;
    #clients;
    #interval = 2000;
    #maxRandomNumber = 8;
  
    constructor(io) {
      this.#io = io;
      this.#clients = new Map();
    }
  
    registerSocket(socket) {
      console.log(`new connection with id ${socket.id}`);
      socket.emit('ping', 'ping');
      this.setupListeners(socket);
    }
  
    setupListeners(socket) {
      socket.on( 'pong', () => this.greatings(socket) );
      socket.on( 'disconnect' , () => this.leave(socket) );
    }
  
    greatings(socket) {
      console.log(`pong received from (id : ${socket.id}) at ${new Date().toLocaleTimeString()}`);
      const timerId = setInterval(this.randomNumber.bind(this), this.#interval);
      //const timerId = setInterval(this.randomNumber.bind(this), this.#interval, socket); /**si on veut que le nombre random soit différent */
      this.#clients.set(socket.id, timerId);
    }
  
    leave(socket) {
      const timerId = this.#clients.get(socket.id) || 'unknown' ;
      console.log(`disconnection from ${socket.id}`);
      clearInterval(timerId);
      this.#clients.delete(socket.id);
    }
  
    randomNumber(socket=undefined) {
        const number = randInt(this.#maxRandomNumber);
        if (socket) {
          socket.emit('change number', number);
        }
        else{
          this.#io.emit('change number', number);
        }
        console.log(`nombre envoyé ${number}`);
    }
  
}
const randInt = max => Math.floor( Math.random() * max );
  