// création de la socket
const socket = io();

socket.on('ping', msg => {
  console.log(msg);
  socket.emit('pong');
});

const nbValues = 12;
const defaultValue = 1;
const MIN_VALUE = 0;
const MAX_VALUE = 10;


const allLabels = new Array(nbValues).fill(defaultValue).map( (_,i) => String.fromCharCode('A'.charCodeAt(0)+i));
//const allLabels = ['J','F','M','A','M','J','J','A','S','O','N','D'];


const ctxt = document.getElementById('myChart').getContext('2d');

// l'objet Chart
const myChart = new Chart(ctxt, {
    type: 'bar',
    data: {
        labels: allLabels,
        datasets: [{
            label : `mes ${nbValues} dernières données`,
            data :  new Array(nbValues).fill(defaultValue),
            backgroundColor: 'rgba(128,255,128,0.5)',
            borderColor: 'rgba(0, 0, 0, 1)',
            borderWidth: 1
        }
      ]
    },
    options: {
      scales: {
        y: {
              min: MIN_VALUE,
              max: MAX_VALUE
            }
      }
    }
  });

  function addData(chart, label, newData) {
    chart.data.labels.unshift(label);
    chart.data.datasets.forEach((dataset) => {
        dataset.data.unshift(newData);
    });
    chart.update();
}

function removeData(chart) {
  chart.data.datasets.forEach((dataset) => {
      dataset.data.pop();
  });
  chart.update();
}

socket.on('change number', number => {
  console.log(number);
  removeData(myChart);
  const label = allLabels.pop();
  addData(myChart, label, number);
});  