console.log('le bundle-auctioneer a été généré');

const socket = io();

const inputName = document.getElementById("name");
const inputValue = document.getElementById("value");
const buttonStart = document.getElementById("start");

const buttonSale = document.getElementById("sale");
buttonSale.addEventListener("click", saleProduct);

const ident = document.getElementById("ident-auc");

function setupListeners() {
    socket.on("alreadyAuct", () => alreadyAuctioneer());
    socket.on("changePrix", (nouveauPrix, selectedPrix, sock) => {
        updatePrix(nouveauPrix, selectedPrix, sock);
    });

}
window.addEventListener("DOMContentLoaded", setupListeners);

socket.emit("auctioneer");

function alreadyAuctioneer() {
    const prod = document.getElementById("prod-auc");
    prod.style.display = "none";
    ident.textContent = "Connexion refusée, il y a déjà un comissaire-priseur";
}

const prixActuel = document.getElementById("prixactuel");
prixActuel.textContent = inputValue.value+"€";

function emptyInput() {
    if(inputName.value.trim() === "") {
        buttonStart.disabled = true;
    }
    else {
        buttonStart.disabled = false;
    }
}

inputName.addEventListener("input", emptyInput);

buttonStart.addEventListener("click", startEnchere);

function startEnchere() {
    prixActuel.textContent = inputValue.value+"€";
    ident.textContent = `Debut de l'enchère pour ${inputName.value} à ${inputValue.value}€`;
    socket.emit("infos", inputName.value, inputValue.value);
    waitForNewEnchere(true);
}

function saleProduct() {
    ident.textContent = `Fin de l'enchère. Un ${inputName.value} à ${prixActuel.textContent}`;
    socket.emit("adjuge");
    waitForNewEnchere(true);
    resetProd();
}

function updatePrix(nouveauPrix, selectedPrix, sock) {
    buttonSale.disabled = false;
    prixActuel.textContent = nouveauPrix+"€";
    ident.textContent = `Nouvelle enchère de ${selectedPrix}€ réçu de ${sock}`;
}

function waitForNewEnchere(disabled) {
    inputName.disabled = disabled;
    inputValue.disabled = disabled;
    buttonStart.disabled = disabled;
    buttonSale.disabled = disabled;
}

function resetProd() {
    inputName.value = "";
    inputName.disabled = false;
    inputValue.disabled = false;
}


