
export default class ErrorResponseBuilder {
    
    #response;
    #errorStatus;
    #url;

    constructor(url, response, errorStatus) {
        this.#response = response;
        this.#errorStatus = errorStatus;
        this.#url = url;
    }

    handleError() {
        this.prepareResponse();
        this.bResponse();
    }

    prepareResponse() {
        this.#response.statusCode = this.#errorStatus;
        this.#response.setHeader( 'Content-Type' , 'text/html');
      }

    bResponse() {
        this.#response.write(`${this.#errorStatus} : ${this.#url} not found`);
        this.#response.end();
    }

}