const mongoose = require('mongoose');

const dbURI = require('../config/db.config').DB_URI;
const dbConnection = mongoose.createConnection(dbURI);

module.exports = dbConnection;        // exporte la connection créée

// mise en place des abonnements aux événéments
dbConnection.on('connected',
  () => console.log(`db.controller.js : connected to ${dbURI}`)
);
dbConnection.on('disconnected', 
    () => console.log(`dn.controller.js : disconnected from ${dbURI}`));
// dbConnection.on('error', ... );

const shutdown = async msg => {    // fonction pour
   await dbConnection.close();     // fermer proprement la connexion
   console.log(` Mongoose shutdown : ${msg}`);
   process.exit(0);
}

// code pour gérer proprement le Ctrl+C sous windows et la réception de 'SIGINT'
// nécessite d'installer le module readline : 'npm install readline --save'
// (...)

process.on('SIGINT', () => shutdown('application ends') ); // application killed (Ctrl+c)
process.on('SIGTERM', () => shutdown('SIGTERM received') ); // process killed (POSIX)