const displayMessage = msg => document.getElementById('content').textContent = msg;

const setup = () => {
  displayMessage('prêt');
}

let alltasks;

const fillTable = async () => {
  const tasksTable = document.getElementById('list');
  tasksTable.textContent = '';
  const requestOptions = {
     method: 'GET'
  };
  const response = await fetch('/task/', requestOptions);
  alltasks = await response.json();

  alltasks.forEach(task => tasksTable.appendChild( buildTaskElement(task, task._id)) );
}

const buildTaskElement = (task, id) => {
  const taskElement = document.createElement('tr');
  taskElement.className = 'task';
  taskElement.appendChild(buildTD(task.description, 'description'));
  taskElement.appendChild(buildTD(task.urgency, 'urgency'));
  taskElement.appendChild(buildButton('delete', 'x', id));
  return taskElement;
}

const buildTD = (content, className) => {
  const TDelement = document.createElement('td');
  TDelement.textContent = content;
  TDelement.className = className;
  return TDelement;
}

const buildButton = (className, content, id) => {
  const button = document.createElement('button');
  button.textContent = content;
  button.className = className;
  button.addEventListener('click', deleteTask.bind(null, id));
  return button;
}

const deleteTask = async (bookId) => {
  const requestOptions = {
    method: 'DELETE'
  };
  await fetch(`/task/:taskId=${bookId}`, requestOptions);
  // const otherBooks = alltasks.filter( task => task._id !== bookId);
  // const tasksTable = document.getElementById('list');
  // otherBooks.forEach(task => tasksTable.appendChild( buildTaskElement(task) ) );
  // alltasks = otherBooks;
}
fillTable();
// go !
setup();
