let userlogin;
let userpassword;

const setup = () => {
  userlogin = document.getElementById('userlogin');
  userpassword = document.getElementById('userpassword');
  document.getElementById('login').addEventListener('click', login);
}
window.addEventListener('DOMContentLoaded', setup);

const login = async () => {
  const userData = { login : userlogin.value, password : userpassword.value};
  const body = JSON.stringify(userData);
  let requestOptions = {
                         method :'POST',
                         headers : { "Content-Type": "application/json" },
                         body : body
                       };
  let response = await fetch(`/access/login`, requestOptions);
  if (response.ok) {
    const loggedUser = await response.json();

    // verification du statut d'admin pour rediriger vers la bonne page
    console.log(loggedUser.name);
    if(loggedUser.admin || loggedUser.login === "admin") {
      window.location.href = '/admin';
    }
    else {
      window.location.href = '/';
    }
  }
  else {
    const error = await response.json();
    document.getElementById('problem').textContent = `erreur : ${error.message}`;
  }
}

