const Shows = require('../models/shows.model').model;

module.exports.home = (_, res) => res.redirect('/admin.html');

module.exports.list = async (_, res) => {
  const allShows = await Shows.find();
  res.status(200).json(allShows);
}

module.exports.create =
  async (req, res) => {
    const newShowData = { ...req.body };
    try {
      const newShow = await Shows.create(newShowData);
      res.status(201).json(newShow);
    }
    catch (error) {
      console.log(error.errmsg)
      res.status(400).json(error.errmsg);
    }
  }

module.exports.deleteShow =
  async (req, res) => {
    try {
      await Shows.findByIdAndDelete(req.params.showId);
      console.log(`--> show ${req.params.ShowId} deleted`);
      res.status(200).json(null);
    }
    catch (error) {
      throw error;
    }
  }
