const express = require('express');
const router = express.Router();

const adminController = require('../controllers/admin.controller');
const authMiddleware = require('../middlewares/authentication.middleware');


router.get('/', adminController.home );
router.get('/items', authMiddleware.validToken, authMiddleware.isAdmin, adminController.list);
router.post('/items', authMiddleware.validToken, authMiddleware.isAdmin, adminController.create);
router.delete('/:showId', authMiddleware.validToken, authMiddleware.isAdmin, adminController.deleteShow);

module.exports = router;