const express = require('express');
const router = express.Router();

const authMiddleware = require('../middlewares/authentication.middleware');

// import controller for index
const indexController = require('../controllers/index.controller');


router.get('/', authMiddleware.validToken, indexController.home );
router.get('/me', authMiddleware.validToken, indexController.me );
router.get('/tickets', authMiddleware.validToken, indexController.listTickets);
router.put('/tickets', authMiddleware.validToken, indexController.update );
router.delete('/:showId', authMiddleware.validToken, indexController.deleteTickets);
router.get('/items', authMiddleware.validToken, indexController.listShow);
router.get('/about', indexController.about );
router.get('/adminonly', authMiddleware.validToken, authMiddleware.isAdmin, indexController.adminonly );

module.exports = router;

