import fs from 'fs'
import { readFileSync } from 'fs';
import { accessSync} from 'fs';
import ErrorResponseBuilder from './ErrorResponseBuilder.js';


export default class FileResponseBuilder {

    #request
    #response;
    #url;

    constructor(request, response) {
        this.#request =request,
        this.#response =response; 
        this.#url = new URL(request.url, `http://${request.headers.host}`);
    }

    hResponse() {
        this.prepareResponse();
        this.bResponse();
      }
      
      prepareResponse() {
        this.#response.statusCode = 200;
        this.#response.setHeader( 'Content-Type' , 'text/plain');
      } 

      bResponse()  {
        let path = this.#url.pathname;
        path = "."+path;
        try {
            fs.accessSync(path, fs.constants.R_OK);
            const content = fs.readFileSync(path);
            this.#response.write(content);
            this.#response.end();
        }catch(err) {
            new ErrorResponseBuilder(this.#request, this.#response, 404).handleError();
        }

      }

}