import ErrorResponseBuilder from "./ErrorResponseBuilder.js";


export default class JsonResponseBuilder {

    request;
    response;
    url;

    constructor(request, response){
        this.request = request;
        this.response = response;
        this.url = new URL(request.url, `http://${request.headers.host}`);
    }

    getCurrentDate() {
        const date = new Date();
        const d = date.toISOString();
        return d;
    }
    
    bResponse() {
        const params = {};
        if (this.url.searchParams.size === 0) {
            this.response.write('Welcome to Json trivial Server, enter a parameter in url please');
        }
        else if (this.url.searchParams.size > 0) {
            for (const [key, value] of this.url.searchParams.entries()) {
                params[key] = value;
            }
            params.date = this.getCurrentDate();
            this.response.write(JSON.stringify(params));
        }
        else {
            new ErrorResponseBuilder(this.request, this.response, 404).handleError();
        }
        this.response.end();
    }

} 