import { URL } from 'url';
import ResponseBuilder from './ResponseBuilder.js'

export default class RequestController {

  #request;
  #response;
  #url;

  constructor(request, response) {
    this.#request = request,
    this.#response = response;
    this.#url = new URL(request.url, `http://${request.headers.host}`);
  }

  get response() {
    return this.#response;
  }

  handleRequest() {
    this.buildResponse();
  }

  buildResponse()  {
    new ResponseBuilder(this.#request, this.#response).handleResponse();
  }

}